thickness = 3;
length = 40;
width = 15;
hole_size = 5;

module base() {
    difference() {
        cube([length, width, thickness], center=true);
        cube([length-hole_size*4, width/3, thickness*2], center=true);
        translate([-length/2+hole_size, 0, 0])
            cube([hole_size, width/3, thickness*2], center=true);
        translate([length/2-hole_size, 0, 0])
            cube([hole_size, width/3, thickness*2], center=true);
    }
}

union() {
    base(); // 4cm
    translate([length, 0, 0]) base(); // 8cm
    translate([length*2, 0, 0]) base(); // 12cm
    translate([length*3, 0, 0]) base(); // 16cm
    translate([length*4, 0, 0]) base(); // 20cm
}