L = 40;
D = 20;
d = 7;
eps = 0.01;

difference() {
    cylinder(h = L, d = D, $fn = 100, center = true);
    translate([D/2, 0, 0])
        cylinder(h = L + eps, d = d, $fn = 100, center = true);
    translate([-D/2, 0, 0])
        cylinder(h = L + eps, d = d, $fn = 100, center = true);
    translate([0, D/2, 0])
        cylinder(h = L + eps, d = d, $fn = 100, center = true);
    translate([0, -D/2, 0])
        cylinder(h = L + eps, d = d, $fn = 100, center = true);
    
    translate([0, 0, L/2 - d*3/2]) rotate([90, 0, 0])
        cylinder(h = D, d = d, $fn = 100, center = true);
    
    translate([0, 0, -L/2 + d*3/2]) rotate([90, 0, 90])
        cylinder(h = D, d = d, $fn = 100, center = true);
}